
%define realname   Log-Handler
%define version    0.47
%define release    %mkrel 1

Name:       perl-%{realname}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    A simple log file handler
Source:     http://www.cpan.org/modules/by-module/Log/%{realname}-%{version}.tar.gz
Url:        http://search.cpan.org/dist/%{realname}
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl-devel
BuildRequires: perl(Carp)
BuildRequires: perl(Devel::Backtrace)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(UNIVERSAL::require)

BuildArch: noarch

%description
This module is just a simple object oriented log file handler and very easy to
use.  It's possible to define a log level for your programs and control the
amount of informations that will be logged to the log file. In addition it's
possible to configure how you wish to open the log file - transient or
permanent - and lock and unlock the log file by each write operation. If you
wish you can assign the handler to check the inode of the log file (not on
Windows). That could be very useful if a rotate mechanism moves and zip the log
file.



%prep
%setup -q -n %{realname}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc META.yml ChangeLog README
%{_mandir}/man3/*
%perl_vendorlib/*





%changelog
* Fri Sep 05 2008 Jérôme Quelin <jquelin@mandriva.org> 0.47-1mdv2009.0
+ Revision: 281096
- update to new version 0.47

* Tue Jul 29 2008 Jérôme Quelin <jquelin@mandriva.org> 0.46-1mdv2009.0
+ Revision: 252492
- update to new version 0.46

* Thu Jun 05 2008 Jérôme Quelin <jquelin@mandriva.org> 0.44-1mdv2009.0
+ Revision: 215753
- update to new version 0.44

* Thu May 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.43-1mdv2009.0
+ Revision: 209989
- update to new version 0.43

* Sat May 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.41-1mdv2009.0
+ Revision: 205402
- update to new version 0.41

* Tue May 06 2008 Jérôme Quelin <jquelin@mandriva.org> 0.40-1mdv2009.0
+ Revision: 201834
- adding missing prereq
- update to new version 0.40

* Mon May 05 2008 Jérôme Quelin <jquelin@mandriva.org> 0.38-2mdv2009.0
+ Revision: 201387
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description-line-too-long

* Wed Feb 06 2008 Jérôme Quelin <jquelin@mandriva.org> 0.38-1mdv2008.1
+ Revision: 163048
- import perl-Log-Handler


